## org.eclipse.datatools.sqltools.debugger.core
Interface IDebugHandlerManager

All Known Implementing Classes:
  DebugHandlerManager

    public interface IDebugHandlerManager

Manages all debug handlers

Author:
  Idull

Method Summary
`void` `dispose()` Disposes all debug handlers in this manager
`IDebugHandler[]` `getDebugHandler(org.eclipse.datatools.sqltools.core.ServerIdentifier serverIdentifier)` Returns the debug handler for the given server
`IDebugHandler` `getDebugHandler(java.lang.String profileName)` Returns the debug handler for the given profile, may return null if there is no debug handler for this profile
`IDebugHandler[]` `getDebugHandlers()` Returns all debug handlers
`IDebugHandler` `getOrCreateDebugHandler(java.lang.String profileName)` Returns or creates the debug handler for the given profile.
`org.eclipse.datatools.sqltools.core.ServerIdentifier[]` `getServerIdentifiers()` Returns all server ids which are connected

Method Detail

### getOrCreateDebugHandler

    IDebugHandler getOrCreateDebugHandler(java.lang.String profileName)

  Returns or creates the debug handler for the given profile.

  Parameters:
    `profileName` -

### getDebugHandler

    IDebugHandler getDebugHandler(java.lang.String profileName)

  Returns the debug handler for the given profile, may return null if there is no debug handler for this profile

  Parameters:
    `profileName` -
  Returns:

### dispose

    void dispose()

  Disposes all debug handlers in this manager

### getDebugHandler

    IDebugHandler[] getDebugHandler(org.eclipse.datatools.sqltools.core.ServerIdentifier serverIdentifier)

  Returns the debug handler for the given server

  Parameters:
    `serverIdentifier` -
  Returns:

### getDebugHandlers

    IDebugHandler[] getDebugHandlers()

  Returns all debug handlers

  Returns:

### getServerIdentifiers

    org.eclipse.datatools.sqltools.core.ServerIdentifier[] getServerIdentifiers()

  Returns all server ids which are connected

  Returns: